<br><br><div class="gmail_quote">On Wed, Aug 4, 2010 at 9:42 PM, NoOp <span dir="ltr"><<a href="mailto:glgxg@sbcglobal.net">glgxg@sbcglobal.net</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin: 0pt 0pt 0pt 0.8ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">
<div class="im">On 07/30/2010 11:53 PM, Basil Chupin wrote:<br>
> On 31/07/2010 14:49, Arun Shrimali wrote:<br>
>> Dear All,<br>
>><br>
>> For last few days I am trying to install Canon LBP2900B Printer on<br>
>> newly Install Ubuntu 10.04.<br>
>><br>
>> I have followed Ubuntu help and other helps also like<br>
>><br>
>> <a href="https://help.ubuntu.com/community/HardwareSupportComponentsPrinters/CanonPrinters/Canon_LBP_2900" target="_blank">https://help.ubuntu.com/community/HardwareSupportComponentsPrinters/CanonPrinters/Canon_LBP_2900</a><br>

>> <a href="http://sunscreen.blog.com/2010/03/31/how-to-install-the-canon-lb2900-on-ubuntu-910/" target="_blank">http://sunscreen.blog.com/2010/03/31/how-to-install-the-canon-lb2900-on-ubuntu-910/</a><br>
>> <a href="http://www.unixmen.com/linux-distributions/ubuntu/229-installation-canon-lbp2900-on-linux" target="_blank">http://www.unixmen.com/linux-distributions/ubuntu/229-installation-canon-lbp2900-on-linux</a><br>

>><br>
>><br>
>> But failed, I could not able to print even a single word.<br>
</div>...<br>
<div class="im">><br>
> However, I notice that you mention that you have the LBP2900B printer<br>
> whereas the URLs you give above cover the printer model *without* the<br>
> "B" at the end (ie, the 2900).<br>
><br>
> Is there a difference, and what is it if there is, between the 2900 and<br>
> the 2900B printer?<br>
><br>
> Have you looked on the Canon site to see if they have a different<br>
> driver, or an upgrade, for the 2900 and the 2900B?<br>
<br>
</div>It's the same driver:<br>
<div class="im"><a href="http://support-in.canon-asia.com/contents/IN/EN/0900772407.html" target="_blank">http://support-in.canon-asia.com/contents/IN/EN/0900772407.html</a><br>
</div>[CAPT_Printer_Driver_for_Linux_V200_uk_EN.tar.gz]<br>
Linux Printer Driver (CAPT) Ver.2.00E<br>
Last Updated : 18-Feb-2010<br>
Issue Number : 0900772407<br>
OS    * Linux<br>
<br>
The above was from the 2900B support page.<br>
<<a href="http://support-in.canon-asia.com/P/search?model=LBP2900B&filter=0&menu=download" target="_blank">http://support-in.canon-asia.com/P/search?model=LBP2900B&filter=0&menu=download</a>><br>
<<a href="http://support-in.canon-asia.com/P/search?category=Laser+Printers&series=Monochrome&model=LBP2900B&menu=download&filter=0" target="_blank">http://support-in.canon-asia.com/P/search?category=Laser+Printers&series=Monochrome&model=LBP2900B&menu=download&filter=0</a>><br>

<div><div></div><div class="h5"><br>
<br>
--<br>
ubuntu-users mailing list<br>
<a href="mailto:ubuntu-users@lists.ubuntu.com">ubuntu-users@lists.ubuntu.com</a><br>
Modify settings or unsubscribe at: <a href="https://lists.ubuntu.com/mailman/listinfo/ubuntu-users" target="_blank">https://lists.ubuntu.com/mailman/listinfo/ubuntu-users</a><br>
</div></div></blockquote></div><br>Oh! great finally, I got the print out .........<br><br>BUT<br><br>(here is the complete story) I think, as I have done lots of experiment, thus I have to refresh the whole thing, thus I removed completely cups and cups-common. And reinstall them freshly. Then followed the following link, which I think is most suited as mentioned for LBP XXXXX<br>
<br><a href="http://www.unixmen.com/linux-distributions/ubuntu/229-installation-canon-lbp2900-on-linux">http://www.unixmen.com/linux-distributions/ubuntu/229-installation-canon-lbp2900-on-linux</a> <br><br>It worked, but as soon as I restart the PC (Here I would again like to mention that I am using Ubuntu 10.04 and Canon LBP2900B, where as, at the bigening of the document it says that LBP2900 is not tested at Lucid) I got another printer called LBP2900-2. With that, previously installed printer LBP2900 also stoped working.<br>
<br><font size="2">Further following the document I tried to uninstall the hal-cups-utils<br></font><pre><font size="2"><span><span style="font-family: arial,helvetica,sans-serif;"><span style="color: rgb(0, 51, 0);"><strong><strong><font size="2">$sudo apt-get remove hal-cups-utils <br>
<br></font><span style="color: rgb(0, 0, 0);"><font size="2"><span style="font-weight: normal;">But I found that hal-cups-utils is already not installed. </span><br style="font-weight: normal;"><span style="font-weight: normal;">I delete the printer with following command</span><br>
</font></span></strong></strong></span></span></span></font><span style="font-size: small;"><span style="font-family: arial,helvetica,sans-serif;"><span style="color: rgb(0, 51, 0);"><font size="2"><font size="2"><strong><br>
$ lpadmin -x LBP2900-2 && sudo /etc/init.d/ccpd restart && sudo /etc/init.d/cups restart</strong> <br><br><span style="color: rgb(0, 0, 0);">And printer started working, but every time I restart the PC, LBP2900-2 automatic install and printer doesn't worked.</span><br style="color: rgb(0, 0, 0);">
<br style="color: rgb(0, 0, 0);"><span style="color: rgb(0, 0, 0);">Is there any solution for this ??</span></font><br style="color: rgb(0, 0, 0);"><br style="color: rgb(0, 0, 0);"><span style="color: rgb(0, 0, 0);">Regards</span><br style="color: rgb(0, 0, 0);">
<br style="color: rgb(0, 0, 0);"><span style="color: rgb(0, 0, 0);">Arun</span></font><br></span></span></span></pre>